diff -Nru avahi-0.6.31/debian/changelog avahi-0.6.31/debian/changelog
--- avahi-0.6.31/debian/changelog	2013-03-06 23:04:59.000000000 +0100
+++ avahi-0.6.31/debian/changelog	2013-11-09 12:04:54.000000000 +0100
@@ -1,3 +1,12 @@
+avahi (0.6.31-2.1) unstable; urgency=low
+
+  * d/p/avahi-0.6.31-no-deprecations.patch:
+    - fix deprecations
+  * d/rules: run autoreconf at build time.
+  * d/control: add dh-autoreconf build depend
+
+ -- Hector Oron <zumbi@debian.org>  Sat, 09 Nov 2013 12:02:37 +0100
+
 avahi (0.6.31-2) unstable; urgency=low
 
   * Use recommended maintscript versioning scheme.
diff -Nru avahi-0.6.31/debian/control avahi-0.6.31/debian/control
--- avahi-0.6.31/debian/control	2013-03-06 23:04:59.000000000 +0100
+++ avahi-0.6.31/debian/control	2013-11-09 12:02:28.000000000 +0100
@@ -8,6 +8,7 @@
            Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
                pkg-config,
+               dh-autoreconf,
                libcap-dev (>= 1:2.16) [linux-any],
                libgdbm-dev,
                libglib2.0-dev (>= 2.4),
diff -Nru avahi-0.6.31/debian/patches/avahi-0.6.31-no-deprecations.patch avahi-0.6.31/debian/patches/avahi-0.6.31-no-deprecations.patch
--- avahi-0.6.31/debian/patches/avahi-0.6.31-no-deprecations.patch	1970-01-01 01:00:00.000000000 +0100
+++ avahi-0.6.31/debian/patches/avahi-0.6.31-no-deprecations.patch	2013-11-09 00:19:58.000000000 +0100
@@ -0,0 +1,22 @@
+--- avahi-0.6.31/avahi-ui/Makefile.am.orig	2013-09-21 16:47:28.677659361 +0200
++++ avahi-0.6.31/avahi-ui/Makefile.am	2013-09-21 16:47:34.852520537 +0200
+@@ -15,7 +15,7 @@
+ # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
+ # USA.
+ 
+-AM_CFLAGS=-I$(top_srcdir) -DG_DISABLE_DEPRECATED=1 -DGDK_DISABLE_DEPRECATED=1 -DGTK_DISABLE_DEPRECATED=1
++AM_CFLAGS=-I$(top_srcdir)
+ 
+ # This cool debug trap works on i386/gcc only
+ AM_CFLAGS+='-DDEBUG_TRAP=__asm__("int $$3")'
+--- avahi-0.6.31/configure.ac.orig	2013-09-21 16:46:43.750669413 +0200
++++ avahi-0.6.31/configure.ac	2013-09-21 16:47:02.566246400 +0200
+@@ -92,7 +92,7 @@
+     AC_MSG_CHECKING([whether stack-smashing protection is available])
+     ssp_old_cflags="$CFLAGS"
+     ssp_old_ldflags="$LDFLAGS"
+-    CFLAGS="$CFLAGS -Werror -fstack-protector-all -fPIC"
++    CFLAGS="$CFLAGS -fstack-protector-all -fPIC"
+     LDFLAGS="$LDFLAGS -Wl,-z,defs"
+     cat confdefs.h > conftest.c
+     cat >>conftest.c <<_ACEOF
diff -Nru avahi-0.6.31/debian/patches/series avahi-0.6.31/debian/patches/series
--- avahi-0.6.31/debian/patches/series	2013-03-06 23:04:59.000000000 +0100
+++ avahi-0.6.31/debian/patches/series	2013-11-09 12:01:47.000000000 +0100
@@ -1,2 +1,3 @@
 # Debian patches for Avahi
 01_avahi-daemon.conf.patch
+avahi-0.6.31-no-deprecations.patch
diff -Nru avahi-0.6.31/debian/rules avahi-0.6.31/debian/rules
--- avahi-0.6.31/debian/rules	2013-03-06 23:04:59.000000000 +0100
+++ avahi-0.6.31/debian/rules	2013-11-09 12:02:12.000000000 +0100
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2,autoreconf
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
